#include "Equipment.h"

#include <XML.h>

using namespace Framework;

EquipmentElement::EquipmentElement()
    : UIMLElement()
{}

//! prüft, ob dieses UIML Element für ein bestimmtes xml Element zuständig ist
bool EquipmentElement::isApplicableFor(Framework::XML::Element& element)
{
    return element.getName().istGleich("equipment");
}

//! erstellt eine neue Zeichnung zu einem gegebenen xml Element
Framework::Zeichnung* EquipmentElement::parseElement(
    Framework::XML::Element& element, Framework::UIMLContainer& generalFactory)
{
    return new EquipmentView((int)element.getAttributeValue("entity"));
}

bool EquipmentElement::updateElement(Framework::XML::Element& element,
    Framework::Zeichnung& z,
    Framework::UIMLContainer& generalFactory)
{
    return false;
}

//! wendet die layout parameter zu einer Zeichnung an
void EquipmentElement::layout(Framework::XML::Element& element,
    Framework::Zeichnung& z,
    int pWidth,
    int pHeight,
    Framework::UIMLContainer& generalLayouter)
{
    UIMLElement::layout(element, z, pWidth, pHeight, generalLayouter);
}

EquipmentView::EquipmentView(int entityId)
    : ZeichnungHintergrund(),
      entityId(entityId)
{}

void EquipmentView::api(char* message) {}

bool EquipmentView::tick(double tickVal)
{
    return ZeichnungHintergrund::tick(tickVal);
}

void EquipmentView::render(Bild& rObj)
{
    ZeichnungHintergrund::render(rObj);
}

void EquipmentView::doMausEreignis(MausEreignis& me, bool userRet)
{
    ZeichnungHintergrund::doMausEreignis(me, userRet);
}